Subject: Create an UnlessViewHelper as opposite to the IfViewHelper
Description

Sometimes the IfViewHelper syntax is quite verbose if you only want to do something on "else":

<f:if condition="...">
    <f:else>...</f:else>
</f:if>

As an alternative we discussed a new "UnlessViewHelper" in IRC to shorten this:

<f:unless condition="...">...</f:unless>

The only difference to the IfViewHelper is the negation of the condition.

This helps for example shortening the syntax for a ForLoop with condition for no objects from:

<f:if condition="{objects}">
    <f:then>
        <f:for each="{objects}" as="object">
            ...
        </f:for>
    </f:then>
    <f:else>No objects found</f:else>
</f:if>

to:

<f:for each="{objects}" as="object">
    ...
</f:for>
<f:unless condition="{objects}">No objects found</f:unless>

Related issues:
related to TYPO3.Fluid - Feature # 60430: Add a negate-option to the IfViewHe... Closed 2014-07-21
related to Core - Feature # 45877: Adding an UnlessViewHelper convenience Closed 2013-02-27

History
#1 - 2013-10-09 19:56 - Gerrit Code Review
- Status changed from New to Under Review
Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24504

#2 - 2013-10-09 20:31 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24504

#3 - 2013-10-09 20:36 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24504

#4 - 2013-10-10 23:02 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24504

#5 - 2013-10-27 11:57 - Anja Leichsenring

I am not sure this is an issue here, but there is no shorthand syntax possible with this kind of implementation. CMS Fluid will not accept such a
shortcoming, we work on a different solution enabling shorthand syntax.

#6 - 2014-08-01 09:02 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.Fluid has been pushed to the review server.
It is available at http://review.typo3.org/31707
